OpenTTD Source: CYapfRoad_TypesT< Tpf_, Tdestination > Struct Template Reference

OpenTTD Source 15.3

Public Types
CYapfRoad_TypesT< Tpf_, Tdestination > Struct Template Reference

## Public Types
typedef CYapfRoad_TypesT< Tpf_, Tdestination > | Types
typedef Tpf_ | Tpf
typedef CFollowTrackRoad | TrackFollower
typedef CRoadNodeList | NodeList
typedef RoadVehicle | VehicleType
typedef CYapfBaseT< Types > | PfBase
typedef CYapfFollowRoadT< Types > | PfFollow
typedef CYapfOriginTileT< Types > | PfOrigin
typedef Tdestination< Types > | PfDestination
typedef CYapfSegmentCostCacheNoneT< Types > | PfCache
typedef CYapfCostRoadT< Types > | PfCost

## Detailed Description

template<class Tpf_, template< class Types > class Tdestination>
struct CYapfRoad_TypesT< Tpf_, Tdestination >

Definition at line 489 of file yapf_road.cpp.

## Member Typedef Documentation

## ◆ NodeList

template<class Tpf_ , template< class Types > class Tdestination>

typedef CRoadNodeList CYapfRoad_TypesT< Tpf_, Tdestination >::NodeList

Definition at line 494 of file yapf_road.cpp.

## ◆ PfBase

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfBaseT<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfBase

Definition at line 496 of file yapf_road.cpp.

## ◆ PfCache

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfSegmentCostCacheNoneT<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfCache

Definition at line 500 of file yapf_road.cpp.

## ◆ PfCost

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfCostRoadT<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfCost

Definition at line 501 of file yapf_road.cpp.

## ◆ PfDestination

template<class Tpf_ , template< class Types > class Tdestination>

typedef Tdestination<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfDestination

Definition at line 499 of file yapf_road.cpp.

## ◆ PfFollow

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfFollowRoadT<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfFollow

Definition at line 497 of file yapf_road.cpp.

## ◆ PfOrigin

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfOriginTileT<Types> CYapfRoad_TypesT< Tpf_, Tdestination >::PfOrigin

Definition at line 498 of file yapf_road.cpp.

## ◆ Tpf

template<class Tpf_ , template< class Types > class Tdestination>

typedef Tpf_ CYapfRoad_TypesT< Tpf_, Tdestination >::Tpf

Definition at line 492 of file yapf_road.cpp.

## ◆ TrackFollower

template<class Tpf_ , template< class Types > class Tdestination>

typedef CFollowTrackRoad CYapfRoad_TypesT< Tpf_, Tdestination >::TrackFollower

Definition at line 493 of file yapf_road.cpp.

## ◆ Types

template<class Tpf_ , template< class Types > class Tdestination>

typedef CYapfRoad_TypesT<Tpf_, Tdestination> CYapfRoad_TypesT< Tpf_, Tdestination >::Types

Definition at line 490 of file yapf_road.cpp.

## ◆ VehicleType

template<class Tpf_ , template< class Types > class Tdestination>

typedef RoadVehicle CYapfRoad_TypesT< Tpf_, Tdestination >::VehicleType

Definition at line 495 of file yapf_road.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp